#!/bin/bash
#ident "@(#)testit.sh Ver. 1.0 Tom Schmitt 2016"
#-----------------------------------------------------------------------
# GPL-3 2016 by Tom Schmitt dtschmitt@gmail.com (859)657-6060
#-----------------------------------------------------------------------
# Purpose of this script:
#    To verify that the Apache configuration allows execution of
#        .sh and .c files from the 'cgi-bin' directory.
#    This is done with almost pure HTML code.
# Locations:
#    Place this testit.sh and proccgi.c in:  
#	/var/www/cgi-bin directory (CentOS) or
#	/usr/lib/cgi-bin directory (Debian)
#    Place 'testit.html' in /var/www/html directory.
# Files:
#    cp testit.html /var/www/html/testit.html
#    gcc proccgi.c -O -o proccgi
# Permissions and ownership:
#    chown asterisk:asterisk testit* proccgi
#    chmod 775 testit.sh proccgi
# Access the web page:  http://<server-ip>/testit.html
# Try it:   Click 'Submit' button
# Returns:  Hello World, etc.
#-----------------------------------------------------------------------
# 1.0 11Sep2016 Created
#-----------------------------------------------------------------------
PGM=`basename $0`	# This script's name
READABLE=no		# (yes/no) Is 'proccgi' readable?
EXEC=no			# (yes/no) Is 'proccgi' executable?

#----------------------------------------------
# Check for readable and execution of 'proccgi'
#----------------------------------------------
if [ -r proccgi ]; then READABLE=yes; fi
if [ -x proccgi ]; then EXEC=yes;     fi

#---------------------------------------------
# BLANK line after 'Content-type:' is required
# Use a simple 'HERE' document to create page
#---------------------------------------------
cat <<!
Content-type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<body>
<pre>
<small><b>
Hello World from $PGM
<br>PROCCGI.C is Readable=$READABLE
<br>PROCCGI.C is Executable=$EXEC
<br>PWD = `pwd`
<br>`id`
</b></small>
</pre>
</body>
</html>
!
